/********* CSS RESETS **********/

img {
	max-width:100%;
}

h1, h2, h3, p, ul, ol {
	margin: 0;
	padding: 0;    
}

p, ul, ol {
    text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
}

nav ul, nav ol {
	list-style-type: none;
}

/********* End CSS Reset *********/

body {
	font-family: 'DM Sans', sans-serif;
	font-weight:400;
    line-height: 1.5em;
	color:#ebebeb;
    background-color: #b9b9b9;
    margin: 0;
}

p {
    padding: 10px 0px;
    font-size: 20px;
}

img {
    border-radius: 30px;
}

#container {
    background-color: #2F1A4B;
}

header, footer {
	text-align: center;
    padding: 50px 0;
}

footer {
    padding-left: 20px;
    padding-right: 20px;
}

h1, h2, h3 {
    font-family: 'Averia Libre', serif;
    font-weight: 700;
    padding-bottom: 10px;
    filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.5));
    line-height: 1em;

    background: 
    -webkit-linear-gradient(#ebebeb, #BA86FF);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.fullName {
    display: block;
    font-family: 'DM Sans', sans-serif;
	font-weight:400;
    line-height: 1.5em;
	color:#ebebeb;
    margin-bottom: 10px;

    /*------ override the inherited gradient styles ------*/
    background: none;
    -webkit-background-clip: initial;
    -webkit-text-fill-color: initial;
}

.subtitle {
    display: block;
    text-transform: uppercase;
    font-size: 60px;
}

nav ul {
    margin: 0;
    padding: 20px;
    list-style-type: none;
    display: flex;
    justify-content: center;
    gap: 40px;
    background-color: #0C001C;
}

nav ul li a {
	font-family: 'Averia Libre', serif;
    font-weight: 700;
    font-size: 26px;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
    color: #ebebeb;
}

nav ul li:hover {
    transform: scale(1.2);
    transition: all 1s ease-out;
}

nav ul li a:hover {
    color:#BA86FF;
    transition: all 0.5s ease-out;
}

article {
    padding: 50px;
}

#top {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 20px;
    background-color: #5D5568;
}

#top .text {
    text-align: center;
}

#top h1 {
    font-size: 60px;
}

#top img {
    width: 100%;
    max-width: 400px;
    border-radius: 80px;
     box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.5);
}

#work {
    background-color: #0C001C;
}

#previewPics {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

#previewPics img {
    width: 100%;
    height: 350px; 
    object-fit: cover;
    border-radius: 20px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

button {
    display: block;
    background-color: #2F1A4B;
    color: #ebebeb;
    font-family: 'Averia Libre', serif;
    font-size: 20px;
    border-radius: 10px;
    height: 50px;
    width: 200px;
    margin: 0 auto;
    margin-top: 30px;
    border-style: none;
}

button:hover {
    transform: scale(1.2);
    transition: all 0.5s ease-out;
}

/*--------- About page styles -------------*/
#story {
    background-color: #5D5568;
    padding: 20px;
}

#story article {
    padding: 40px;
}

#story img {
    max-width: 200px; 
}

.paraWithNum {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center; 
}

.paraWithNum > div {
    width: 100%;
}


#icons {
    display: flex;
    justify-content: center;
    margin-top: -20px;
    padding-bottom: 30px;
}

#icons img {
    width: 8%;
    padding: 10px;
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.5));
}

#resume {
    background-color: #0C001C;
    display: flex;
    flex-direction: column; 
    gap: 30px;
    align-items: center; 
}

#resume img {
    width: 100%;     
    max-width: 400px;
    box-shadow: 4px 4px 20px rgba(29, 11, 37, 0.5);
}

#resume button {
    width: 100%;      
    max-width: 300px;
}

/*--------- Projects page styles -------------*/
#infoMessage {
    text-align: center;
    padding-top: 20px;
    padding-bottom: 50px;
}

#projects {
    background-color: #5D5568;
}

.projectInfo {
    padding: 30px 20px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas:
        "title"
        "subtitle"
        "image"
        "content";
    gap: 20px;
}

.projectInfo h1 {
    grid-area: title;
    text-align: center;
}

.projectInfo > h2 {
    grid-area: subtitle;
    text-align: center;
    font-family: 'DM Sans', sans-serif;
	font-weight: 400;
    background: none;
    -webkit-background-clip: initial;
    -webkit-text-fill-color: #ebebeb;
    font-size: 18px;
    margin-top: -10px;
}

.projectInfo img {
    grid-area: image;
    width: 100%;
    max-width: 100%;
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.5));
    cursor: zoom-in;
}

.projectInfo img:nth-of-type(2), .projectInfo  img:last-child {
    filter: drop-shadow(2px 2px 4px rgba(47, 13, 72, 0.5));
}

.projectText {
    grid-area: content;
    display: flex;
    flex-direction: column;
}

.projectText article {
    padding: 10px 0;
    font-family: 'DM Sans', sans-serif;
	font-weight: 400;
    font-size: 18px;
}

.projectText article h2 {
    justify-self: left;
}


.projectInfo:nth-of-type(2), .projectInfo:last-child {
    background-color: #0C001C;
}

/*--------- Contact page styles -------------*/
#contactInfo{
    background-color: #5D5568;
    padding-bottom: 60px;
}

form {
    background-color: #0C001C;
    width: 70%;
    margin: 0 auto;
    border-radius: 20px;
    padding: 50px;
}

.form-field {
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    align-items: center; 
    text-align: left;  
}

#name, #email, #message {
    background-color: #0C001C;
    border-style: none;
    border-bottom: 2px dashed #ebebeb;
    width: 80%;
    color: #ebebeb;
    padding-top: 20px;
    padding-bottom: 5px;
    font-size: 18px;

    &:focus {
        outline: none;
        border-bottom: 2px solid #BA86FF;
        transition: all 0.5s ease-out;
    }
}

label {
    font-size: 20px;
    width: 80%;
}

#submit {
    display: block;
    background-color: #2F1A4B;
    color: #ebebeb;
    font-family: 'Averia Libre', serif;
    font-size: 20px;
    border-radius: 10px;
    height: 40px;
    width: 150px;
    margin: 0 auto;
    margin-top: 30px;
    border-style: none;
}
 
#submit:hover {
    transform: scale(1.2);
    transition: all 0.5s ease-out;
}

#thankYouMessage {
    display: none;
    background-color: #0C001C;
    width: 70%;
    margin: 0 auto;
    border-radius: 20px;
    padding: 50px;
    font-size: 20px;
    color: #ebebeb;
    text-align: center;
}


@media only screen and (min-width: 600px) {
	
	#container {
		max-width: 1000px;
		margin:auto;
	}

    #top {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 40px;
    }

    #top .text {
        flex: 1;
        text-align: left;
        padding-right: 40px;
    }

    #top img {
        flex: 1;
        max-width: 400px;
    }

    #previewPics {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 20px;
        justify-items: center;
    }

    #previewPics img {
        width: 100%;
        max-width: 100%;
    }

        .paraWithNum {
        flex-direction: row;
        gap: 20px;
        align-items: flex-start;
        text-align: left;
    }

    .paraWithNum:nth-of-type(2) {
        flex-direction: row-reverse; 
    }

    #story img {
        max-width: 250px; 
    }

    .paraWithNum > div {
        width: auto;
    }

    #resume {
        flex-direction: row;  
        justify-content: flex-start;
        align-items: flex-start;
    }

    #resume img {
        width: 400px;        
        max-width: none;
    }

    #resume button {
        width: 300px;
        max-width: none;
    }

     .projectInfo {
        grid-template-columns: 1fr 2fr;
        grid-template-areas:
            "title title"
            "subtitle subtitle"
            "image content";
        align-items: start;
        padding: 50px 20px;
    }

    .projectText article {
        padding: 20px;
        font-size: 20px;
    }

    .projectInfo > h2 {
        font-size: 20px;
    }
}

